System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.CommunicationObject

This is used by developers who want to keep the indigo1 programming model but replace the system-provided runtime. Such applications will pull messages out of channels and handle them directly with user-defined dispatchers. To use , create a class derived from it, extend and override , adding instances of your class derived from to .

The and the , associated with the object are available for inspection or modification through the and respectively.

calls the or methods when adding or removing a item from its collection.

calls the during shutdown before closing InstanceContexts. indigo1 uses this call to close datagram channels and wait for all messages to get to an InstanceContext.

Abstract base class for the channel dispatcher that accepts channels and associates them with a service.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void ``

  This method can only be set when the instance of the is in the state, as this is the only state that is both mutable and not disposed.

  A calls this method when the is added to its collection. This gives the a chance to hook events and inspect the , and provides the value that should be returned from the property.

  When overridden in a derived class, attaches the channel dispatcher to a specific host.

  The for the service.
- Method
  4.0.0.0
  System.Void

  calls this method during shutdown to give the dispatcher a chance to drain messages. uses this call to close datagram channels.

  When overridden in a derived class, removes the endpoint dispatchers associated with the channel dispatcher.

- Method
  4.0.0.0
  System.Void ``

  The can only be detached when the instance of the is in the state, as this is the only state that is both mutable and not disposed.

  Should set the associated with the channel dispatcher to null.

  calls this method when the is removed from its collection. This gives the a chance to unhook events and inspect the .

  When overridden in a derived class, detaches the channel dispatcher from a specific host.

  The .
- Property
  4.0.0.0
  System.ServiceModel.ServiceHostBase To be added.

  Each object can have many objects, each associated with a different for that service. The host keeps a list of these objects in the collection.

  When overridden in a derived class, gets the service host associated with the channel dispatcher.

- Property
  4.0.0.0
  System.ServiceModel.Channels.IChannelListener To be added.

  A associates an whose channels and messages this is dispatching.

  When overridden in a derived class, gets the channel listener associated with the channel dispatcher.